Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.compressors.gzip
Class GzipCompressorInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.commons.compress.compressors.CompressorInputStream
              org.apache.commons.compress.compressors.gzip.GzipCompressorInputStream

All Implemented Interfaces:
  Closeable

    public class GzipCompressorInputStream

extends CompressorInputStream

Implements the "gz" compression format as an input stream. This classes wraps the standard java classes for working with gz.

Constructor Summary
`GzipCompressorInputStream(InputStream inputStream)` Constructs a new GZip compressed input stream by the referenced InputStream.

Method Summary
`void` | `close()` Closes the input stream (unless it is System.in).
`static boolean` | `matches(byte[] signature, int length)` Checks if the signature matches what is expected for a gzip file.
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int from, int length)`

Methods inherited from class org.apache.commons.compress.compressors.CompressorInputStream
`count, count, getBytesRead, getCount`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GzipCompressorInputStream

    public GzipCompressorInputStream(InputStream inputStream)
                              throws IOException

  Constructs a new GZip compressed input stream by the referenced InputStream.

  Parameters:
    `inputStream` - the InputStream from which this object should be created of
  Throws:
    `IOException` - if the stream could not be created

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`
  Since:
    Apache Commons Compress 1.1

### read

    public int read(byte[] b,
                    int from,
                    int length)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`
  Since:
    Apache Commons Compress 1.1

### matches

    public static boolean matches(byte[] signature,
                                  int length)

  Checks if the signature matches what is expected for a gzip file.

  Parameters:
    `signature` - the bytes to check
    `length` - the number of bytes to check
  Returns:
    true, if this stream is a gzipped compressed stream, false otherwise
  Since:
    Apache Commons Compress 1.1

### close

    public void close()
               throws IOException

  Closes the input stream (unless it is System.in).

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.